/*!
  \file
  \brief システムの管理

  \author Satofumi KAMIMURA

  $Id: system_handler.c 1361 2009-10-03 06:21:34Z satofumi $
*/

#include "system_handler.h"
#include "beego_drive.h"


void system_initialize(system_t *system)
{
  system->reset = 0;
  system->major = Major;
  system->minor = Minor;
  system->micro = Micro;

  system_reset(system);
}


void system_reset(system_t *system)
{
  system->sec = 0;
  system->msec = 0;

  system->mode = NormalControl;
}
